# Delivery Orders

Delivery orders represent an order where the executor needs to drop off cargo at a certain stop.

 - [GET /transport-requests/{business_id}/orders/deliveries/{order_id}](https://developer.conundra.eu/apis/order-book/order-book-api/deliveries/getdeliverybytransportrequestidandorderid.md): This endpoint allows you to get the information about a given delivery. **Note:** It is not possible to retrieve deliveries within TransportRequests directly through the *Get a Delivery by business Id
 - [PUT /transport-requests/{business_id}/orders/deliveries/{order_id}](https://developer.conundra.eu/apis/order-book/order-book-api/deliveries/upsertdeliverybytransportrequestidandorderid.md): Upsert delivery information. When if-match is not specified, then no optimistic protection is applied, ie: the last update wins. **Note:** It is not possible to update deliveries within TransportReque
 - [DELETE /transport-requests/{business_id}/orders/deliveries/{order_id}](https://developer.conundra.eu/apis/order-book/order-book-api/deliveries/deletedeliverybytransportrequestidandorderid.md): This endpoint allows you to delete a given delivery within a transport request. **Note:** It is not possible to delete deliveries within TransportRequests directly through the *Delete a Delivery by bu
 - [GET /orders/deliveries/{business_id}](https://developer.conundra.eu/apis/order-book/order-book-api/deliveries/getdeliverybyid.md): Retrieve a single Delivery Order by its business id.
 - [PUT /orders/deliveries/{business_id}](https://developer.conundra.eu/apis/order-book/order-book-api/deliveries/upsertdeliverybyid.md): Create or update a Delivery Order. This endpoint allows you to update (default behaviour) or insert a Delivery Order. The caller is responsible for providing a unique business identifier for each Ord
 - [DELETE /orders/deliveries/{business_id}](https://developer.conundra.eu/apis/order-book/order-book-api/deliveries/deletedeliverybyid.md): This endpoint allows you to delete the information about a given Delivery.
